edu.sc.seis.sod.validator.model.datatype

## Class Token

- java.lang.Object
- - edu.sc.seis.sod.validator.model.datatype.Token

- All Implemented Interfaces:
    ModelDatatype, org.relaxng.datatype.Datatype

      public class Token
      extends java.lang.Object
      implements ModelDatatype

- - ### Field Summary

    - ### Fields inherited from interface org.relaxng.datatype.Datatype

      `ID_TYPE_ID, ID_TYPE_IDREF, ID_TYPE_IDREFS, ID_TYPE_NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkValid(java.lang.String p1, org.relaxng.datatype.ValidationContext p2)`
    `org.relaxng.datatype.DatatypeStreamingValidator` | `createStreamingValidator(org.relaxng.datatype.ValidationContext p1)`
    `java.lang.Object` | `createValue(java.lang.String p1, org.relaxng.datatype.ValidationContext p2)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getExampleValue()`
    `int` | `getIdType()`
    `int` | `hashCode()`
    `boolean` | `isContextDependent()`
    `boolean` | `isValid(java.lang.String p1, org.relaxng.datatype.ValidationContext p2)`
    `boolean` | `sameValue(java.lang.Object p1, java.lang.Object p2)`
    `java.lang.String` | `toString()`
    `int` | `valueHashCode(java.lang.Object p1)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Token

          public Token()

  - ### Method Detail

    - #### isValid

          public boolean isValid(java.lang.String p1,
                                 org.relaxng.datatype.ValidationContext p2)

      Specified by:
        `isValid` in interface `org.relaxng.datatype.Datatype`

    - #### checkValid

          public void checkValid(java.lang.String p1,
                                 org.relaxng.datatype.ValidationContext p2)
                          throws org.relaxng.datatype.DatatypeException

      Specified by:
        `checkValid` in interface `org.relaxng.datatype.Datatype`
      Throws:
        `org.relaxng.datatype.DatatypeException`

    - #### createStreamingValidator

          public org.relaxng.datatype.DatatypeStreamingValidator createStreamingValidator(org.relaxng.datatype.ValidationContext p1)

      Specified by:
        `createStreamingValidator` in interface `org.relaxng.datatype.Datatype`

    - #### createValue

          public java.lang.Object createValue(java.lang.String p1,
                                              org.relaxng.datatype.ValidationContext p2)

      Specified by:
        `createValue` in interface `org.relaxng.datatype.Datatype`

    - #### sameValue

          public boolean sameValue(java.lang.Object p1,
                                   java.lang.Object p2)

      Specified by:
        `sameValue` in interface `org.relaxng.datatype.Datatype`

    - #### valueHashCode

          public int valueHashCode(java.lang.Object p1)

      Specified by:
        `valueHashCode` in interface `org.relaxng.datatype.Datatype`

    - #### getIdType

          public int getIdType()

      Specified by:
        `getIdType` in interface `org.relaxng.datatype.Datatype`

    - #### isContextDependent

          public boolean isContextDependent()

      Specified by:
        `isContextDependent` in interface `org.relaxng.datatype.Datatype`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `ModelDatatype`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getExampleValue

          public java.lang.String getExampleValue()

      Specified by:
        `getExampleValue` in interface `ModelDatatype`